# Package-level declarations

## Functions

NumberPicker
Link copied to clipboard
@ Composable
fun NumberPicker (number: Int , modifier: Modifier = Modifier, range: IntRange ? = null, textStyle: TextStyle = LocalTextStyle.current, arrowsColor: Color = MaterialTheme.colorScheme.primary, allowUseManualInput: Boolean = true, onStateChanged: ( Int ) -> Unit = {})

A Compose number picker component that allows users to select a number by dragging, using arrow buttons, or manually entering a value.

SetPicker
Link copied to clipboard
@ Composable
fun < T > SetPicker (current: T , dataList: List < T >, modifier: Modifier = Modifier, textStyle: TextStyle = LocalTextStyle.current, arrowsColor: Color = MaterialTheme.colorScheme.primary, dataToString: @ Composable ( T ) -> String = { it.toString() }, onStateChanged: ( T ) -> Unit = {})

A Compose picker component that allows users to select an item from a list by dragging or using arrow buttons.